I seem to remember that postgrey requires maintenance, so I’m looking into it now. Can’t seem to find a definitive answer, seems like some db’s require it, but others do not.

Found these useful links anyway:

http://jimsun.linxnet.com/misc/postfix-anti-UCE.txt

http://www.debian-administration.org/articles/168

http://sqlgrey.sourceforge.net/